---
features:
  secondary:
  - name: "Audit event for updating or deleting a custom role"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/administration/audit_event_types.html#permissions'
    reporter: jrandazo
    stage: software_supply_chain_security
    categories:
    - Permissions
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/437672'
    description: |
      GitLab now records an audit event when a custom role is updated or deleted. This event is important to identify if permissions have been added or changed in case of privilege escalation.
